<? if ( !defined("_INCLUDED_GLOBAL") ) die("Access Denied");		// [Security]Allow_url_fopen = On ?>
<?

	/*
		-. 메일링 리스트 관리 등록/수정 폼 데이타 지정.

		ex)
			$view = setform_admin_alias($row);

	*/
	function setform_admin_alias($row)
	{
		global $G, $G_SYS, $TB, $AUTH;

		// default
		$view = $row;

		if ($row['m_cfg_from_addr'] == '')
			$row['m_cfg_from_addr'] = 'N';

		$view['m_name'] = input_value($row['m_name'], 1);
		$view['m_id'] = $row['m_id'];

		if (!$_GET['isadmin'])
		{
			// 선택된 도메인이 없을때는 로그인한 사용자의 도메인으로 선택.
				if (!$_GET['sa_d_no'])
					$_GET['sa_d_no'] = $G['DINFO']['d_no'];

			// 도메인
				$q = "SELECT * FROM ".$TB['DOMAIN']." WHERE d_is_use='Y' ORDER BY d_name";
				$mbr_domain = db_get_rows($q, true);
				$view['sa_d_no'] = select_list_value($_GET['sa_d_no'], $mbr_domain['d_name'], $mbr_domain['d_no'], NULL, 0, 1);
		}	// if()

		$view['m_cfg_from_addr'] = select_list_value($row['m_cfg_from_addr'], array_values($G[ISUSE]), array_keys($G[ISUSE]), NULL, 0, 1);

		$view['m_memo'] = htmlspecialchars_fix($row['m_memo']);

		return $view;
	}	// function()


?>